<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.modal');
$Model = $this->getModel();
?>
<script type="text/javascript">
    function gotobank() {
        var bank = document.getElementById("bank").value;
        var sh = document.getElementById("sh").innerHTML;
        window.location = "index.php?option=com_jstar_shop&task=payment.gotobank_AfterOrderConfirm&sh=" + sh + "&payment=" + bank;
    }
</script>
<form action="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=orders'); ?>" method="post" name="adminForm"
      id="adminForm" style="width:100%">
    <div id="j-main-container" class="span12">
        <?php if (empty($this->items)) : ?>
            <div class="alert alert-no-items">
                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php else : ?>
            <table class="table table-striped" id="ordersList">
                <thead>
                <tr style="background:none">
                    <th class="nowrap center"
                        style="width:10%"><?php echo JText::_('COM_JSTAR_SHOP_FIELD_ROW_LABEL'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_SH_FACTOR'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_DATE_ORDER'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_STATUS_ORDER'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_PAYMENT_METHOD'); ?></th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="6"><?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
                </tfoot>
                <?php $k = 1;
                foreach ($this->items as $i => $item) : ?>
                    <tr class="row<?php echo $i % 2; ?>">
                        <td class="center">
                            <?php echo $k; ?>
                        </td>
                        <td class="center">
                            <a id="sh" class="modal" rel="{handler: 'iframe', size: {x: 575, y: 300}}"
                               href="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=orderinfo&tmpl=component&sh=' . $item->sh); ?> ">
                                <?php echo $this->escape($item->sh); ?>
                            </a>
                        </td>
                        <td class="center">
                            <?php echo JHtml::date($this->escape($item->date2), 'DATE_FORMAT_LC'); ?>
                        </td>
                        <td class="center">
                            <?php switch ($item->status) {
                                case -2:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_-2');
                                    break;
                                case -1:
                                    $banks = $Model->getBanks();
                                    echo '<select name="payment" id="bank">';
                                    foreach ($banks as $bank) {
                                        echo '<option value="' . $bank->element . '">' . $bank->name . '</option>';
                                    }
                                    echo '</select>';
                                    echo '<a onclick="gotobank()">' . JText::_('COM_JSTAR_SHOP_STATUS_-1') . '</a>';
                                    break;
                                case 0:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_1');
                                    break;
                                case 1:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_2');
                                    break;
                                case 2:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_3');
                                    break;
                                case 3:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_4');
                                    break;
                                case 4:
                                    echo JText::_('COM_JSTAR_SHOP_STATUS_5');
                                    break;
                            } ?>
                        </td>
                        <td class="center">
                            <?php switch ($this->escape($item->payment_method)) {
                                case -1:
                                    echo JText::_('COM_JSTAR_SHOP_PAYMENT_NO_PAY');
                                    break;
                                case 1:
                                    echo JText::_('COM_JSTAR_SHOP_PAYMENT_ELECTORONIC');
                                    break;
                                case 2:
                                    echo JText::_('COM_JSTAR_SHOP_PAYMENT_NAGHDI');
                                    break;
                                case 3:
                                    echo JText::_('COM_JSTAR_SHOP_PAYMENT_MAHAL');
                                    break;
                            } ?>
                        </td>
                    </tr>
                    <?php $k++; endforeach; ?>
                </tbody>
            </table>
        <?php endif; ?>
        <div>
            <input type="hidden" name="task" value=""/>
            <input type="hidden" name="boxchecked" value="0"/>
            <input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>"/>
            <input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortDirection; ?>"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </div>
</form>
